#include <bits/stdc++.h>

#define endl "\n"

using namespace std;

const int N=2000000+5;
int a[N];

int main()
{
    ios::sync_with_stdio(false); cin.tie(0);
    memset(a,0,sizeof(a));

    int n,k; cin >> n >> k;
    int l=0;

    for(int i=0;i<n;i++) {
        int p; cin >> p;
        if(p>=0)
            a[p]++;
        else
            a[(-1)*p+1000000]++;
    }

    for(int i=0;i<N;i++) {
        if(a[i]>=k)
            l++;
    }

    cout << l << endl;
    for(int i=0;i<N;i++) {
        if(a[i]>=k)
            cout << (i<=1000000 ? i:(i-1000000)*(-1)) << " ";
    }

    return 0;
}